using System.Text.Json.Serialization;

namespace FrontendPlaformUno.Services.Endpoints.Gamenight.Login;

public record LoginResponse
{
    [JsonPropertyName("login_result")]
    public required bool LoginResult { get; init; }

    [JsonPropertyName("message")]
    public string? Message { get; init; }

    [JsonPropertyName("user_id")]
    public string? UserId { get; init; }

    [JsonPropertyName("jwt_token")]
    public string? JwtToken { get; init; }
}
